Bug 5996 - ошибки в скрипте сервиса sockd
: ошибки в скрипте сервиса sockd
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dante-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-31 12:08 by
Modified: 2010-10-25 11:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-31 12:08:50
1. В собранной конфигурации sockd не делает detach и не уходит в бэкграунд,
т.к. 
не указана опция -D (решение - добавить ее в /etc/sysconfig/sock или в скрипт 
запуска сервиса)
2. В собранной конигурации сервис работает под пользователем nosockd, но в 
/etc/init.d/sockd везде указано --expect-user root, в результате чего 
неправильно отрабатывают команды service sockd restart, service sockd reload
3. В /etc/init.d/sockd в обработчике аргументов вызова дважды указан вариант 
status)
------- Comment #1 From 2008-02-15 18:47:31 -------
moving to sisyphus
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2010-10-25 11:44:03 -------
fixed in 1.2.2-alt1